abclinuxu.cz AbcLinuxu.cz itbiz.cz ITBiz.cz HDmag.cz HDmag.cz abcprace.cz AbcPráce.cz
AbcLinuxu hledá autory!
Inzerujte na AbcPráce.cz od 950 Kč
Rozšířené hledání
×
dnes 12:33 | Nová verze

Byla vydána nová stabilní verze 1.8 (1.8.770.50) webového prohlížeče Vivaldi (Wikipedie). Z novinek vývojáři zdůrazňují vylepšenou historii prohlížení. Ukázka na YouTube. Chromium bylo aktualizováno na verzi 57.0.2987.111.

Ladislav Hagara | Komentářů: 0
dnes 05:55 | Zajímavý projekt

Google na svém blogu věnovaném open source představil portál Google Open Source informující mimo jiné o více než 2000 open source projektech vyvíjených nebo používaných v Googlu.

Ladislav Hagara | Komentářů: 0
dnes 03:33 | IT novinky

Pro společnost Red Hat skončil 28. února fiskální rok 2017. Dle finančních výsledků bylo čtvrté čtvrtletí, stejně jako celý fiskální rok 2017, opět úspěšné. Tržby jsou zvyšovány již 60 čtvrtletí v řadě. Za čtvrté čtvrtletí 2017 to bylo 629 milionů dolarů, tj. meziroční nárůst 16 %. Tržby za celý fiskální rok činily 2,4 miliardy dolarů, tj. meziroční nárůst 18 %.

Ladislav Hagara | Komentářů: 2
včera 18:22 | Bezpečnostní upozornění

V balíčku eject, příkaz pro vysunutí CD/DVD z mechaniky, v linuxových distribucích Ubuntu (USN-3246-1) a Debian (#858872) byla nalezena bezpečnostní chyba CVE-2017-6964 zneužitelná k lokální eskalaci práv. Linuxové distribuce používající eject z balíčku util-linux nejsou zranitelné.

Ladislav Hagara | Komentářů: 10
včera 05:55 | Komunita

Dries Buytaert, autor a vedoucí projektu Drupal a prezident Drupal Association, požádal soukromě před několika týdny Larryho Garfielda, jednoho z klíčových vývojářů Drupalu, aby projekt Drupal opustil. Larry Garfield minulý týden na svých stránkách napsal, že důvodem jsou jeho BDSM praktiky a rozpoutal tím bouřlivou diskusi. Na druhý den reagoval Dries Buytaert i Drupal Association. Pokračuje Larry Garfield [reddit].

Ladislav Hagara | Komentářů: 48
včera 04:44 | Humor

Společnost SAS zveřejnila na svých stránkách studii s názvem Open Source vs Proprietary: What organisations need to know (pdf). Organizace by měly například vědět, že ideální je mix 40 % open source softwaru a 60 % proprietárního softwaru [Slashdot].

Ladislav Hagara | Komentářů: 12
27.3. 23:33 | Zajímavý software

Byl vydán ShellCheck ve verzi 0.4.6. Jedná se o nástroj pro statickou analýzu shellových skriptů. Shellové skripty lze analyzovat na webové stránce ShellChecku, v terminálu nebo přímo z textových editorů. Příklady kódů, na které analýza upozorňuje a doporučuje je přepsat. ShellCheck je naprogramován v programovacím jazyce Haskell. Zdrojové kódy jsou k dispozici na GitHubu pod licencí GPLv3.

Ladislav Hagara | Komentářů: 0
27.3. 23:33 | Pozvánky

Czech JBoss User Group zve na setkání JBUG v Brně, které se koná ve středu 5. dubna 2017 v prostorách Fakulty informatiky Masarykovy univerzity v místnosti A318 od 18:00. Přednáší Pavol Loffay na téma Distributed Tracing and OpenTracing in Microservice Architecture.

… více »
mjedlick | Komentářů: 0
27.3. 11:33 | Zajímavý článek

Národní centrum kybernetické bezpečnosti (NCKB) vypracovalo (pdf) 26 podrobných bezpečnostních doporučení pro síťové správce. Tato doporučení jsou nastavena tak, aby je bylo možné aplikovat v každé instituci. Jsou rozdělena na tři základní části: bezpečnost infrastruktury, bezpečnost stanic a serverů a bezpečnost uživatelů.

Ladislav Hagara | Komentářů: 17
27.3. 05:55 | Komunita

Prezident Nadace pro svobodný software (FSF) Richard M. Stallman vyhlásil na slavnostním ceremoniálu v rámci konference LibrePlanet 2017 vítěze Free Software Awards za rok 2016. Ocenění za společenský přínos získal SecureDrop (Wikipedie). Za rozvoj svobodného softwaru byl oceněn Alexandre Oliva (Wikipedie).

Ladislav Hagara | Komentářů: 0
Jak se stavíte k trendu ztenčování přenosných zařízení (smartphony, notebooky)?
 (14%)
 (2%)
 (72%)
 (3%)
 (10%)
Celkem 959 hlasů
 Komentářů: 72, poslední 1.3. 11:16
    Rozcestník

    Dotaz: problém s dpkg a nemožností instalovat

    15.2.2016 08:14 pajito | skóre: 3
    problém s dpkg a nemožností instalovat
    Přečteno: 603×

    Zdravím, vyskytl se mi problém na serveru, kde mi běží ubuntu 12.04.

    Když jsem klasicky aktualizoval pomocí - sudo apt-get update a následně apt-get dist-upgrade tak mi to vyhodilo :

    root@server:~# apt-get dist-upgrade

    Čtu seznamy balíků… Hotovo

    Vytvářím strom závislostí

    Čtu stavové informace… Hotovo

    Pro opravení můžete spustit „apt-get -f install“.

    Následující balíky mají nesplněné závislosti: linux-generic-pae : Závisí na: linux-image-generic-pae (= 3.2.0.94.108) ale 3.2.0.97.113 je nainstalován

    linux-headers-generic-pae : Závisí na: linux-headers-3.2.0-94-generic-pae ale není nainstalovaný

    E: Nesplněné závislosti. Zkuste použít -f.

    Když jsem zkusil nainstalovat daný balíček přímo:

    root@server:~# apt-get install linux-headers-3.2.0-94-generic-pae

    Čtu seznamy balíků… Hotovo

    Vytvářím strom závislostí

    Čtu stavové informace… Hotovo

    Pro opravení následujících můžete spustit „apt-get -f install“:

    Následující balíky mají nesplněné závislosti: linux-generic-pae : Závisí na: linux-image-generic-pae (= 3.2.0.94.108) ale 3.2.0.97.113 se bude instalovat

    E: Nesplněné závislosti. Zkuste spustit „apt-get -f install“ bez balíků (nebo navrhněte řešení).

     

    Čili když jsem použil apt-get -f install, tak mi to vypsalo toto:

    Čtu seznamy balíků… Hotovo

    Vytvářím strom závislostí

    Čtu stavové informace… Hotovo

    Opravuji závislosti… Hotovo

    Následující balíky byly nainstalovány automaticky a již nejsou potřeba:

    aspell-en libtalloc2 libjs-jquery-ui linux-image-3.2.0-84-generic-pae php-mail-mime linux-headers-3.2.0-93-generic-pae linux-headers-3.2.0-88-generic-pae erlang-erl-docgen erlang-inets erlang-asn1 aspell erlang-webtool libicu48 erlang-snmp erlang-syntax-tools linux-headers-3.2.0-90-generic-pae linux-headers-3.2.0-85-generic-pae erlang-edoc php-net-socket erlang-inviso erlang-diameter linux-headers-3.2.0-72 linux-headers-3.2.0-74 linux-headers-3.2.0-80 linux-headers-3.2.0-75 linux-headers-3.2.0-76 linux-headers-3.2.0-82 linux-headers-3.2.0-77 linux-headers-3.2.0-83 linux-headers-3.2.0-84 linux-headers-3.2.0-79 linux-headers-3.2.0-90 linux-headers-3.2.0-85 linux-headers-3.2.0-91 linux-headers-3.2.0-86 linux-headers-3.2.0-92 linux-headers-3.2.0-87 linux-headers-3.2.0-93 linux-headers-3.2.0-88 linux-headers-3.2.0-89 linux-headers-3.2.0-82-generic-pae linux-headers-3.2.0-77-generic-pae erlang-mnesia erlang-parsetools erlang-os-mon linux-headers-3.2.0-72-generic-pae linux-image-3.2.0-90-generic-pae linux-image-3.2.0-85-generic-pae john-data linux-headers-3.2.0-89-generic-pae tdb-tools erlang-eunit linux-image-3.2.0-82-generic-pae php-auth-sasl linux-headers-3.2.0-91-generic-pae linux-headers-3.2.0-86-generic-pae erlang-corba samba-common-bin erlang-xmerl erlang-tools linux-headers-3.2.0-83-generic-pae dictionaries-common php-net-smtp erlang-percept php5-pspell erlang-dev linux-headers-3.2.0-80-generic-pae linux-headers-3.2.0-75-generic-pae linux-image-3.2.0-93-generic-pae linux-image-3.2.0-88-generic-pae linux-image-3.2.0-91-generic-pae linux-image-3.2.0-86-generic-pae libwbclient0 erlang-ic erlang-crypto linux-image-3.2.0-83-generic-pae erlang-odbc erlang-nox linux-headers-3.2.0-92-generic-pae linux-headers-3.2.0-87-generic-pae php5-intl libtommath0 php-auth erlang-ssh samba-common erlang-ssl erlang-docbuilder linux-headers-3.2.0-84-generic-pae linux-headers-3.2.0-79-generic-pae libodbc1 erlang-runtime-tools tinymce auth-client-config linux-headers-3.2.0-76-generic-pae chkrootkit john linux-headers-3.2.0-74-generic-pae libaspell15 linux-image-3.2.0-89-generic-pae linux-image-3.2.0-92-generic-pae linux-image-3.2.0-87-generic-pae php-mail-mimedecode erlang-base erlang-public-key

    Pro jejich odstranění použijte „apt-get autoremove“.

    Následující extra balíky budou instalovány: linux-generic-pae linux-headers-3.2.0-98 linux-headers-3.2.0-98-generic-pae linux-headers-generic-pae linux-image-3.2.0-98-generic-pae linux-image-generic-pae Navrhované balíky: fdutils linux-doc-3.2.0 linux-source-3.2.0 linux-tools

    Následující NOVÉ balíky budou nainstalovány: linux-headers-3.2.0-98 linux-headers-3.2.0-98-generic-pae linux-image-3.2.0-98-generic-pae

    Následující balíky budou aktualizovány: linux-generic-pae linux-headers-generic-pae linux-image-generic-pae

    3 aktualizováno, 3 nově instalováno, 0 k odstranění a 55 neaktualizováno. 2 instalováno nebo odstraněno pouze částečně.

    Potřebuji stáhnout 51,2 MB archivů. Po této operaci bude na disku použito dalších 182 MB. Chcete pokračovat [Y/n]? y

    Mám:1 http://cz.archive.ubuntu.com/ubuntu/ precise-updates/main linux-image-3.2.0-98-generic-pae i386 3.2.0-98.138 [38,6 MB] Mám:2 http://cz.archive.ubuntu.com/ubuntu/ precise-updates/main linux-generic-pae i386 3.2.0.98.114 [1 732 B] Mám:3 http://cz.archive.ubuntu.com/ubuntu/ precise-updates/main linux-image-generic-pae i386 3.2.0.98.114 [2 660 B] Mám:4 http://cz.archive.ubuntu.com/ubuntu/ precise-updates/main linux-headers-3.2.0-98 all 3.2.0-98.138 [11,7 MB] Mám:5 http://cz.archive.ubuntu.com/ubuntu/ precise-updates/main linux-headers-3.2.0-98-generic-pae i386 3.2.0-98.138 [981 kB] Mám:6 http://cz.archive.ubuntu.com/ubuntu/ precise-updates/main linux-headers-generic-pae i386 3.2.0.98.114 [2 610 B] Staženo 51,2 MB za 15s (3 317 kB/s) Traceback (most recent call last): File "/usr/bin/apt-listchanges", line 237, in main() File "/usr/bin/apt-listchanges", line 48, in main debs = apt_listchanges.read_apt_pipeline(config) File "/usr/share/apt-listchanges/apt_listchanges.py", line 83, in read_apt_pipeline return map(lambda pkg: filenames[pkg], order) File "/usr/share/apt-listchanges/apt_listchanges.py", line 83, in return map(lambda pkg: filenames[pkg], order) KeyError: 'linux-headers-generic-pae' Vybírám dosud nevybraný balík linux-image-3.2.0-98-generic-pae. (Čtu databázi … nyní je nainstalováno 597333 souborů a adresářů.) Rozbaluji linux-image-3.2.0-98-generic-pae (z …/linux-image-3.2.0-98-generic-pae_3.2.0-98.138_i386.deb) … Done. dpkg: chyba při zpracovávání /var/cache/apt/archives/linux-image-3.2.0-98-generic-pae_3.2.0-98.138_i386.deb (--unpack): nelze vytvořit „/lib/modules/3.2.0-98-generic-pae/kernel/drivers/input/evbug.ko.dpkg-new“ (při zpracování „./lib/modules/3.2.0-98-generic-pae/kernel/drivers/input/evbug.ko“): Na zařízení není volné místo Žádné apport hlášení nebylo vytvořeno, protože chybová hláška naznačuje, že je chyba způsobena zcela zaplněným diskem. dpkg-deb: chyba: podproces paste byl zabit signálem (Roura přerušena (SIGPIPE)) Examining /etc/kernel/postrm.d . run-parts: executing /etc/kernel/postrm.d/initramfs-tools 3.2.0-98-generic-pae /boot/vmlinuz-3.2.0-98-generic-pae run-parts: executing /etc/kernel/postrm.d/zz-update-grub 3.2.0-98-generic-pae /boot/vmlinuz-3.2.0-98-generic-pae Připravuji nahrazení linux-image-generic-pae 3.2.0.97.113 (pomocí …/linux-image-generic-pae_3.2.0.98.114_i386.deb) … Rozbaluji náhradu linux-image-generic-pae … Vybírám dosud nevybraný balík linux-headers-3.2.0-98. Rozbaluji linux-headers-3.2.0-98 (z …/linux-headers-3.2.0-98_3.2.0-98.138_all.deb) … dpkg: chyba při zpracovávání /var/cache/apt/archives/linux-headers-3.2.0-98_3.2.0-98.138_all.deb (--unpack): nelze vytvořit „/usr/src/linux-headers-3.2.0-98/arch/cris/include/arch-v32/mach-fs/mach/hwregs/marb_bp_defs.h.dpkg-new“ (při zpracování „./usr/src/linux-headers-3.2.0-98/arch/cris/include/arch-v32/mach-fs/mach/hwregs/marb_bp_defs.h“): Na zařízení není volné místo Žádné apport hlášení nebylo vytvořeno, protože chybová hláška naznačuje, že je chyba způsobena zcela zaplněným diskem. dpkg-deb: chyba: podproces paste byl zabit signálem (Roura přerušena (SIGPIPE)) Vybírám dosud nevybraný balík linux-headers-3.2.0-98-generic-pae. Rozbaluji linux-headers-3.2.0-98-generic-pae (z …/linux-headers-3.2.0-98-generic-pae_3.2.0-98.138_i386.deb) … dpkg: chyba při zpracovávání /var/cache/apt/archives/linux-headers-3.2.0-98-generic-pae_3.2.0-98.138_i386.deb (--unpack): chyba při vytváření adresáře „./usr/src/linux-headers-3.2.0-98-generic-pae/include/config/snd/atiixp“: Na zařízení není volné místo Žádné apport hlášení nebylo vytvořeno, protože chybová hláška naznačuje, že je chyba způsobena zcela zaplněným diskem. dpkg-deb: chyba: podproces paste byl zabit signálem (Roura přerušena (SIGPIPE)) Při zpracování nastaly chyby: /var/cache/apt/archives/linux-image-3.2.0-98-generic-pae_3.2.0-98.138_i386.deb /var/cache/apt/archives/linux-headers-3.2.0-98_3.2.0-98.138_all.deb /var/cache/apt/archives/linux-headers-3.2.0-98-generic-pae_3.2.0-98.138_i386.deb E: Sub-process /usr/bin/dpkg returned an error code (1)

     

    Jelikož se píše, že na zařízení není místo, tak jsem si vypsal místo na discích:

    root@server:~# df -h

    Souborový systém Velikost Užito Volno Uži% Připojeno do

    /dev/md0 9,2G 6,4G 2,4G 74% /

    udev 3,0G 12K 3,0G 1% /dev

    tmpfs 606M 352K 606M 1% /run

    none 5,0M 0 5,0M 0% /run/lock

    tmpfs 3,0G 0 3,0G 0% /run/shm

    /dev/md1 184G 54G 121G 31% /home

    /dev/md2 33G 3,3G 29G 11% /var

     

    Můžete mi poradit, co můžu udělat, abych mohl normálně dále fungovat a instalovat aktualizace, nebo nové balíčky?

    Díky všem za reakce

    Odpovědi

    15.2.2016 08:56 pajito | skóre: 3
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Zjistil jsem ještě, že když použiju df -i, tak nemám volné místo.
    df -i
    Souborový systém   I-uzlů IUžito   IVolno IUži% Připojeno do
    /dev/md0           610800 607865     2935  100% /
    udev               201757    508   201249    1% /dev
    tmpfs              205511    451   205060    1% /run
    none               205511      4   205507    1% /run/lock
    tmpfs              205511      1   205510    1% /run/shm
    /dev/md1         12206080 285972 11920108    3% /home
    /dev/md2          2195456  23286  2172170    2% /var
    
    Čili jsem se snažil odstranit nepotřebné balíčky pomocí apt-get autoremove, ale napsalo to
    apt-get autoremove
    Čtu seznamy balíků… Hotovo
    Vytvářím strom závislostí
    Čtu stavové informace… Hotovo
    Pro opravení můžete spustit „apt-get -f install“.
    Následující balíky mají nesplněné závislosti:
     linux-generic-pae : Závisí na: linux-image-generic-pae (= 3.2.0.94.108) ale 3.2.0.98.114 je nainstalován
     linux-headers-generic-pae : Závisí na: linux-headers-3.2.0-94-generic-pae ale není nainstalovaný
     linux-image-generic-pae : Závisí na: linux-image-3.2.0-98-generic-pae ale není nainstalovaný
    E: Nesplněné závislosti. Zkuste použít -f.
    
    Zkusil jsem i apt-get --purge autoremove, apt-get -f autoremove, pak přímo staré balíčky odstranit apt-get purge nazev balíčky. Ale to skončí úplně stejně jako výše uvedené. Už si vážně nevím rady.
    15.2.2016 09:25 nobody
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    pokud nemas nastaveno (vychozi to neni) chovani aby se po stazeni a instalaci vzdy *.deb smazalo, tak je budes mit (nepotrebne) ulozene v
    /var/cache/apt/archives/
    systemove je z cache odstranis pomoci:
    apt-get clean
    15.2.2016 10:13 pajito | skóre: 3
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Toto jsem již provedl a podařilo se mi i odstranit starší linux-header a linux-image. Ale stejně nevím, co dál udělat, abych opravil
    dpkg: nesplněné závislosti zamezily konfiguraci balíku linux-headers-generic-pae:
     linux-headers-generic-pae závisí na linux-headers-3.2.0-94-generic-pae; avšak:
      Balík linux-headers-3.2.0-94-generic-pae není nainstalován.
    dpkg: chyba při zpracovávání linux-headers-generic-pae (--configure):
     problém se závislostmi - nechávám nezkonfigurované
    dpkg: nesplněné závislosti zamezily konfiguraci balíku linux-generic-pae:
     linux-generic-pae závisí na linux-image-generic-pae (= 3.2.0.94.108); avšak:
      Verze linux-image-generic-pae v systému je 3.2.0.98.114.
     linux-generic-pae závisí na linux-headers-generic-pae (= 3.2.0.94.108); avšak:
      Balík linux-headers-generic-pae zatím není zkonfigurován.Žádné apport hlášení nebylo vytvořeno, protože chybová hláška naznačuje, že se jedná o chybu způsobenou předchozí chybou.
    
    dpkg: chyba při zpracovávání linux-generic-pae (--configure):
     problém se závislostmi - nechávám nezkonfigurované
    Žádné apport hlášení nebylo vytvořeno, protože chybová hláška naznačuje, že se jedná o chybu způsobenou předchozí chybou.
                                                                                                                             Při zpracování nastaly chyby:
     linux-headers-generic-pae
     linux-generic-pae
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    
    Jendа avatar 15.2.2016 11:26 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Smazání starých balíků napomůže, protože to je několik velkých souborů, takže se uvolní jen pár inodů.

    Je potřeba zjistit, ve kterém adresáři je nejvíc malých souborů, a vyřešit to. Na to nevím, jak bych šel, asi něco jako find /tmp/* -maxdepth 1 -type d | while read d; do echo -n "$d "; ls -1 $d| wc -l; done
    Nezapomeňte si posunout časovače na svých bombách o hodinu dopředu!
    15.2.2016 11:29 pajito | skóre: 3
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Už jsem uvolnil dostatek:
     df -i
    Souborový systém   I-uzlů IUžito   IVolno IUži% Připojeno do
    /dev/md0           610800 123611   487189   21% /
    udev               201757    508   201249    1% /dev
    tmpfs              205511    454   205057    1% /run
    none               205511      4   205507    1% /run/lock
    tmpfs              205511      1   205510    1% /run/shm
    /dev/md1         12206080 285994 11920086    3% /home
    /dev/md2          2195456  22956  2172500    2% /var
    
    15.2.2016 09:13 Aleš Kapica | skóre: 45 | blog: kenyho_stesky | Ostrava
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Neumíš číst? Jasně ti napsal: Následující balíky mají nesplněné závislosti: linux-generic-pae : Závisí na: linux-image-generic-pae (= 3.2.0.94.108) ale 3.2.0.97.113 se bude instalovat. Protože se pokoušíš instalovat generický hlavičkový balík linux-generic-pae, který byl sestaven pro starší verzi jádra. Znamená to, že ses trefil do doby, kdy je do repozitory uploadovaná novější verze jádra, ale generický balík ještě nebyl sestaven pro aktuální verzi hlavičkového balíku, která by odpovídá aktuálnímu jádru.

    To je problém generických balíků. Kdysi v dávných dobách jsem s tím bojoval u Mandrake i Ubuntu. Pro normální běh systému totiž hlavičkový balík nutně nepotřebuješ, tak na přegenenerování generických balíků pro aktuální kernel některé distribuce dost pečou a byl to jeden z důvodů, proč jsem přestal používat obecné generické balíky kernelu typu "linux-image-amd64" (Debian). Raději instaluji konkrétní verze kernelu "linux-image-4.4.0-trunk-amd64", atp. Protože k nim vždy existují i odpovídající hlavičkové balíky. Liší se od těch s jádrem (mimo obsahu) tím, že v názvu mají místo "image" "headers".
    15.2.2016 09:40 nobody
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Neumis cist? Jasne mu to napsalo "je chyba způsobena zcela zaplněným diskem" a na zaklade toho jasne napsal "Jelikož se píše, že na zařízení není místo" ;)
    jinak tebou popisovanej problem sem jeste nevidel, zda se mi ze michas genericke a metabaliky dohromady, kazdopadne funguvanim bez metabaliku se nebude nasledne aktualizovat jadro uz nikdy, dokud rucne nenainstalujes dalsi verze+x jadro :)
    15.2.2016 10:18 pajito | skóre: 3
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Jestli jsem správně pochopil, mám odinstalovat všechny verze linux-header a linux-image, krom toho co jede (dle uname -r)?

    15.2.2016 10:36 pajito | skóre: 3
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
     dpkg -l | grep -e linux-image -e linux-headers
    ii  linux-headers-3.2.0-94                         3.2.0-94.134                      Header files related to Linux kernel version 3.2.0
    ii  linux-headers-3.2.0-98                         3.2.0-98.138                      Header files related to Linux kernel version 3.2.0
    ii  linux-headers-3.2.0-98-generic-pae             3.2.0-98.138                      Linux kernel headers for version 3.2.0 on 32 bit x86 SMP
    iU  linux-headers-generic-pae                      3.2.0.94.108                      Generic Linux kernel headers
    ii  linux-image-3.2.0-29-generic-pae               3.2.0-29.46                       Linux kernel image for version 3.2.0 on 32 bit x86 SMP
    rc  linux-image-3.2.0-92-generic-pae               3.2.0-92.131                      Linux kernel image for version 3.2.0 on 32 bit x86 SMP
    rc  linux-image-3.2.0-93-generic-pae               3.2.0-93.133                      Linux kernel image for version 3.2.0 on 32 bit x86 SMP
    ii  linux-image-3.2.0-94-generic-pae               3.2.0-94.134                      Linux kernel image for version 3.2.0 on 32 bit x86 SMP
    ii  linux-image-3.2.0-97-generic-pae               3.2.0-97.137                      Linux kernel image for version 3.2.0 on 32 bit x86 SMP
    ii  linux-image-3.2.0-98-generic-pae               3.2.0-98.138                      Linux kernel image for version 3.2.0 on 32 bit x86 SMP
    ii  linux-image-generic-pae                        3.2.0.98.114                      Generic Linux kernel image
    
    uname -r
    3.2.0-94-generic-pae
    
    15.2.2016 23:32 nobody
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    jj, pro jednoduchost bych nechal jen bezici 94, zbytek odebral pomoci apt-get purge , pak si overil ze neco jde nainstalovat, nebo ze projde(bez potreby neco odebrat)
    apt-get install -f
    a pak provedl
    apt-get update && apt-get upgrade && apt-get dist-upgrade
    pokud i tak zas zkoncis na tom ze mas problemove zavislosti, mozna opravdu zkus odebrat(jak radil Ales) metabalik linux-headers-generic-pae a linux-image-generic-pae a nainstalovat -98 image a headers rucne
    16.2.2016 07:41 pajito | skóre: 3
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Při odstraňování jsem skončil na tomto:
     dpkg -l | grep -e linux-image -e linux-headers
    ii  linux-headers-3.2.0-94                         3.2.0-94.134                      Header files related to Linux kernel version 3.2.0
    iU  linux-headers-generic-pae                      3.2.0.94.108                      Generic Linux kernel headers
    ii  linux-image-3.2.0-94-generic-pae               3.2.0-94.134                      Linux kernel image for version 3.2.0 on 32 bit x86 SMP
    ii  linux-image-3.2.0-97-generic-pae               3.2.0-97.137                      Linux kernel image for version 3.2.0 on 32 bit x86 SMP
    pi  linux-image-3.2.0-98-generic-pae               3.2.0-98.138                      Linux kernel image for version 3.2.0 on 32 bit x86 SMP
    ii  linux-image-generic-pae                        3.2.0.98.114                      Generic Linux kernel image
    
    A je zajímavé, že se mi to samo změnilo při uname -r : 3.2.0-98-generic-pae

    Bohužel instalovat se stále nedá a odstranit pomocí dpkg -P .. se nedá nic dalšího, s apt-get purge nešlo dokonce ani to předtím co bylo. Při zkoušce
    apt-get update && apt-get upgrade && apt-get dist-upgrade
    to vyhodí jen
    Vytvářím strom závislostí
    Čtu stavové informace… Hotovo
    Pro opravení můžete spustit „apt-get -f install“.
    Následující balíky mají nesplněné závislosti:
     linux-generic-pae : Závisí na: linux-image-generic-pae (= 3.2.0.94.108) ale 3.2.0.98.114 je nainstalován
     linux-headers-generic-pae : Závisí na: linux-headers-3.2.0-94-generic-pae ale není nainstalovaný
    E: Nesplněné závislosti. Zkuste použít -f.
    
    Co teď tedy mám udělat? Nějak nerozumím tomu, jak mám odebrat metabalíky. Sorry, ale v tomto jsem laik.
    16.2.2016 13:34 Aleš Kapica | skóre: 45 | blog: kenyho_stesky | Ostrava
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Ještě ti tam zůstal image..
    apt-get remove linux-generic-pae linux-image-generic-pae linux-headers-generic-pae
    ..
    dpkg --configure -a
    ..
    apt-get -f install
    
    Nejdřív odebereš co půjde, pak zkonfiguruješ co půjde a tím posledním příkazem si to doinstaluje co chybí. Tím by ses měl dostat do použitelného stavu. Příkaz k rekonfiguraci můžeš použít opakovaně. Někdy nesedí závislosti, takže se mohou některé balíky dokonfigurovat později.
    22.2.2016 08:36 pajito | skóre: 3
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Díky toto pomohlo a server instaluje zatím vše v pohodě :) Ještě jednou DÍKY

    Ovšem na jiném podobném stroji mi nastalo něco obdobného, ale tady to řešení nepomohlo:
     dpkg -l | grep -e linux-image -e linux-headers
    ii  linux-headers-3.2.0-98           3.2.0-98.138                        Header files related to Linux kernel version 3.2.0
    ii  linux-headers-3.2.0-98-generic   3.2.0-98.138                        Linux kernel headers for version 3.2.0 on 64 bit x86 SMP
    ii  linux-headers-server             3.2.0.98.114                        Linux kernel headers on Server Equipment.
    ii  linux-image-3.2.0-98-generic     3.2.0-98.138                        Linux kernel image for version 3.2.0 on 64 bit x86 SMP
    ii  linux-image-server               3.2.0.98.114                        Linux kernel image on Server Equipment.
    
    uname -r
    3.2.0-98-generic
    
     apt-get dist-upgrade
    Čtu seznamy balíků… Hotovo
    Vytvářím strom závislostí
    Čtu stavové informace… Hotovo
    Pro opravení můžete spustit „apt-get -f install“.
    Následující balíky mají nesplněné závislosti:
     linux-server : Závisí na: linux-image-server (= 3.2.0.94.108) ale není nainstalovaný
                    Závisí na: linux-headers-server (= 3.2.0.94.108) ale není nainstalovaný
    E: Nesplněné závislosti. Zkuste použít -f.
    
    Když dám tedy apt-get -f install, pak i -f install název těch balíčků, tak to skončí stejně. Zkusil jsem tedy
    dpkg --configure -a
    dpkg: nesplněné závislosti zamezily konfiguraci balíku linux-server:
     linux-server závisí na linux-image-server (= 3.2.0.94.108); avšak:
      Verze linux-image-server v systému je 3.2.0.98.114.
     linux-server závisí na linux-headers-server (= 3.2.0.94.108); avšak:
      Verze linux-headers-server v systému je 3.2.0.98.114.
    dpkg: chyba při zpracovávání linux-server (--configure):
     problém se závislostmi - nechávám nezkonfigurované
    Při zpracování nastaly chyby:
     linux-server
    
    22.2.2016 08:54 pajito | skóre: 3
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Tak už vyřešeno :) stačilo jen:
    dpkg -r linux-server
    apt-get update
    apt-get -f install
    
    Nyní vše běhá jak má.
    skunkOS avatar 16.2.2016 13:52 skunkOS | skóre: 25 | blog: Tak nějak
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Archeři se musí u čtení těchto diskusí bavit s popcornem.
    http://martinrotter.github.io
    pavlix avatar 16.2.2016 13:55 pavlix | skóre: 53 | blog: pavlix
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Důvod?
    Jendа avatar 16.2.2016 14:30 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    V roce 2009 probíhal na Archu upgrade kernelu tak, že to starý kernel i s moduly prostě přepláclo. Výsledkem bylo, že pak až do rebootu nešlo nahrát žádný modul (byl nekompatibilní), což obzvláště potěší, když člověk potřebuje zavést modul, aby se dostal k /boot, a bez toho nový kernel zase nenabootuje.

    Snad už to vyřešili jinak.
    Nezapomeňte si posunout časovače na svých bombách o hodinu dopředu!
    16.2.2016 12:46 Andrej | skóre: 43 | blog: Republic of Mordor | Zürich
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Zdravím, vyskytl se mi problém na serveru, kde mi běží ubuntu 12.04.

    Tady jsem (skoro) přestal číst. Máme rok 2016. 32-bitové distribuce na Intelu už vyšly z módy i z bezproblémové mainstreamové podpory.

    Pokud tam není rozumný souborový systém (například Btrfs), což u této fosilie s největší pravděpodobností nebude, vřele doporučuji provést fsck na všechny filesystémy, čistě pro jistotu, zda tam náhodou není nějaký skrytý problém s volným místem a s nekonzistentním filesystémem. Problémy tohoto typu se projevují různě, nesmazatelnými soubory, soubory o velikosti 28 PB (i to jsem kdysi viděl), a těžko vysvětlitelnou nedostupností volného místa při alokaci souborů (ne nutně z pohledu df).

    Předně je potřeba podívat se na obsazenost disků v momentě, kdy ten apt-get běží, aby bylo jasné, které oddíly jsou v té době skutečně plné. Když už neběží a všechno po sobě zase uklidil, obsazenost disků mnoho neříká. (Pravděpodobně jde v tomto případě o /, když se hláška týká /usr.) No a pak je třeba zjistit, proč je tam najednou plno a jestli se třeba nějaké adresáře, které rostou nejvíc, nedají nasymlinkovat jinam, kde je místo, ať už dočasně během instalace nebo napořád.

    Když má člověk zbytečně rozkouskované úložiště tak, že / má 9,2 GB a nemůže se normálně dynamicky zvětšovat, jak je dnes běžné, těžko se s tím dá něco dělat.

    Podle mě je každá minuta strávená opravováním nezabezpečeného zastaralého systému předem ztracená. Aktualizace je nezbytná tak nebo tak; jediná otázka je, kolik času člověk před tou aktualizací promarní udržováním neudržitelného. ;-)

    ǑǦŹǓǕǙǞǺǨȞȬḔḦḰḾṊṎṸẄẌỖ
    Jendа avatar 16.2.2016 13:55 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Máme rok 2016. 32-bitové distribuce na Intelu už vyšly z módy i z bezproblémové mainstreamové podpory.
    Zajímavé, já ještě na problém nenarazil. To mám ty počítače vyhodit jenom proto, že jsou 32bitové?
    Pokud tam není rozumný souborový systém (například Btrfs), což u této fosilie s největší pravděpodobností nebude, vřele doporučuji provést fsck na všechny filesystémy, čistě pro jistotu, zda tam náhodou není nějaký skrytý problém s volným místem a s nekonzistentním filesystémem.
    Zatímco u btrfs se nic takového stát nemůže? Nebo to píšeš proto, že btrfs nemá použitelný fsck, a pomůže možná scrub?
    Předně je potřeba podívat se na obsazenost disků v momentě, kdy ten apt-get běží, aby bylo jasné, které oddíly jsou v té době skutečně plné.
    Ještě jsem nezažil, aby to naalokovalo a pak uvolnilo tolik místa, aby po doběhnutí nešlo poznat, čím to bylo - někde prostě zůstane plno 99 %.

    Aktualizace by jistě byla dobrá, někdy jí bohužel brání uzavřené bloby.
    Nezapomeňte si posunout časovače na svých bombách o hodinu dopředu!
    pavlix avatar 16.2.2016 13:56 pavlix | skóre: 53 | blog: pavlix
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Zajímavé, já ještě na problém nenarazil. To mám ty počítače vyhodit jenom proto, že jsou 32bitové?
    To bys měl.
    16.2.2016 15:42 Peter Golis | skóre: 54 | Bratislava
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Vyhadzovať počítače len preto že sú 32Bit je blbosť. Pocítače sa nahdádzajú keď motálne zastarajú (spotreba je vysoká, výkon už nedostačuje, ..). Ale nevyjadzujú sa kôli architektúre ktorá je stále podporovaná. A to dokonca aj na stále podporovanej distribúcii. Ubuntu 12.04 je podporované ešte vyše roka.

    Ak to má ako WiFi AP s NAS na starom NB, tak prečo nie. Ale na prehliadanie webu to už nie je. To je pravda. Vlastníci napr. Raspberry PI vedia.
    pavlix avatar 16.2.2016 17:30 pavlix | skóre: 53 | blog: pavlix
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Vyhadzovať počítače len preto že sú 32Bit je blbosť.
    Mně to nepiš. :D
    16.2.2016 17:56 Peter Golis | skóre: 54 | Bratislava
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Stalo sa niečo, že si obratom ruky zmenil názor?
    pavlix avatar 16.2.2016 21:33 pavlix | skóre: 53 | blog: pavlix
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    16.2.2016 22:47 nobody
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    ty jsi z jineho sveta kde nepoznate Iróniu ? :)
    17.2.2016 11:14 Peter Golis | skóre: 54 | Bratislava
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Na 32bit šmejďárny je tu jardík, teda bol. Asi je tu niekomu za ním smutno, ale ja to niesom.
    22.2.2016 18:11 Andrej | skóre: 43 | blog: Republic of Mordor | Zürich
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat

    Pointa kolem Btrfs, velmi polopatě: Kromě lepší odolnosti proti nečekanému poškození, kterou zcela správně zmiňuješ, je hlavní výhodou zejména fakt, že s Btrfs disk nebude rozdrobený na malé oddíly, pročež se nemůže stát, že by nějakému malému oddílu došlo místo a že by se s tím nedalo nic dělat. To samozřejmě předpokládá rozumné nasazení Btrfs; rozdrobené oddíly se dají nešikovně vyrobit všude, když se někdo hodně snaží. :-P

    Pak mě překvapuje to zásadní nepochopení funkce balíčkovacího systému, které tady někteří předvádějí. Až nad tím s jízlivým smíchem kroutím hlavou. Takže, pár základních faktů asi bude třeba podrobněji objasnit: Balíčkovací systém aktualizuje soubory na disku tak, že napřed stáhne a uloží všechny balíky s aktualizacemi a pak je teprve dekomprimuje. Těch stažených dat je hodně. Tuhle jsem na systému s Archem, který půl roku neběžel, natrefil na 4 GB souborů ke stažení. A to prosím pěkně v .xz, před dekompresí a instalací. Tohle všechno se napřed stáhne a uloží a teprve poté se začne něco aktualizovat. Samotná aktualizace zpravidla probíhá tak, že se staré verze souborů nahrazují za nové atomicky. Soubor se tedy dekomprimuje pod jiným názvem a pak se atomicky přejmenuje na původní název. To nakonec není až tak podstatné; podstatné je, co se stane s bloky původního souboru. Většinou vůbec nic! Dokud má totiž soubor někdo otevřený, případně namapovaný do paměti, což odpovídá třeba spuštěné binárce, loadnutým knihovnám atd. atp., původní data zůstávají na disku a budou tam okounět tak dlouho, dokud všechny procesy, které k souboru přistupovaly, ten soubor nezavřou. Což může být ve spouště případů až při dalším restartu systému.

    Tolik tedy k tomu, jak funguje aktualizace systému a proč je tenhle proces choulostivější na dostatek volného místa než drtivá většina jiných úkonů: Musí existovat v jednu chvíli dostatek místa pro všechny stažené komprimované balíčky i pro staré i nové verze knihoven a binárek, které byly v době aktualizace otevřené.

    ǑǦŹǓǕǙǞǺǨȞȬḔḦḰḾṊṎṸẄẌỖ
    Jendа avatar 22.2.2016 18:19 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    To samozřejmě předpokládá rozumné nasazení Btrfs; rozdrobené oddíly se dají nešikovně vyrobit všude, když se někdo hodně snaží. :-P
    Stejně tak mohl vyrobit jednu velkou ext4 partition pro všechno…
    To nakonec není až tak podstatné; podstatné je, co se stane s bloky původního souboru. Většinou vůbec nic! Dokud má totiž soubor někdo otevřený, případně namapovaný do paměti, což odpovídá třeba spuštěné binárce, loadnutým knihovnám atd. atp., původní data zůstávají na disku a budou tam okounět tak dlouho, dokud všechny procesy, které k souboru přistupovaly, ten soubor nezavřou. Což může být ve spouště případů až při dalším restartu systému.
    A jak to souvisí s tím, že jsi tvrdil, že pokud spustí df až po tom, co to zheblo na nedostatek místa, tak tam nemusí nic vidět? Čekal bych, že to maximálně smaže poslední soubor, který se nepodařilo rozbalit, což může být max. pár desítek MB.
    Nezapomeňte si posunout časovače na svých bombách o hodinu dopředu!
    23.2.2016 07:10 Aleš Kapica | skóre: 45 | blog: kenyho_stesky | Ostrava
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Stejně tak mohl vyrobit jednu velkou ext4 partition pro všechno…
    Mohl, a také by si mohl pak užít kopu veselých chvil, až mu po nějakém lehkém nakopnutí ext4 po opravě přeháže inody tak, že bude muset stejně všechno reinstalovat a obnovovat ze zálohy.
    Jendа avatar 23.2.2016 10:50 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    A pravděpodobnost rozbití FS je menší, pokud máš místo jednoho FS tři?
    Nezapomeňte si posunout časovače na svých bombách o hodinu dopředu!
    23.2.2016 17:32 Aleš Kapica | skóre: 45 | blog: kenyho_stesky | Ostrava
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Ano. Ovšem za předpokladu, že jde o repliku na třech různých strojích. To se ale bavíme o něčem jiném.

    V tomto případě jde o více diskových oddílů. Tam mělo význam tohle rozdělení především z toho důvodu, že je menší pravděpodobnost, kolapsu FS kam se zapisuje minimálně (systém), než FS, kam se zapisuje často (/var, případně domovské adresáře).

    Navíc - pokud se rozesral diskový oddíl se systémem, tak to sebou nevzalo uživatelská data, a navíc jako bonus, pokud jsi měl data zvlášť, tak jsi mohl mít na jednom diskovém prostoru více systémů, aniž by ti hrozilo, že se ti nějak vzájemně nabourají.

    Btrfs je mnohem lepší než Ext protože ti nedělá v případě kolapu takové brikule a vesměs se z něj dají data bez problémů vydolovat, pokud máš pod ním spolehlivé blokové zařízení. V případě, že ho nemáš, tak sice skončí některá data v kopru, ale víš která. A data ztracených inodů ti neskončí na hromadě hnoje v lost+founds.

    Ne jako to udělá ext4. Která ti klidně zamění obsah původního inodu za jiný a ještě se tváří že je všechno OK!
    Jendа avatar 23.2.2016 17:57 Jendа | skóre: 73 | blog: Výlevníček | JO70FB
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    V tomto případě jde o více diskových oddílů. Tam mělo význam tohle rozdělení především z toho důvodu, že je menší pravděpodobnost, kolapsu FS kam se zapisuje minimálně (systém), než FS, kam se zapisuje často (/var, případně domovské adresáře).
    To zní rozumně, i když osobně tohle dělám jenom na SD kartách (kde se bez / read-only v podstatě žít nedá).
    Btrfs je mnohem lepší než Ext protože ti nedělá v případě kolapu takové brikule a vesměs se z něj dají data bez problémů vydolovat, pokud máš pod ním spolehlivé blokové zařízení.
    Není mi jasné, proč by bug v btrfs měl poškodit FS méně než v ext4.
    V případě, že ho nemáš, tak sice skončí některá data v kopru, ale víš která.
    Stalo se mi to, nevím. Prostě to vyblilo spoustu chyb a některé adresáře byly najednou prázdné.
    Nezapomeňte si posunout časovače na svých bombách o hodinu dopředu!
    23.2.2016 19:16 Aleš Kapica | skóre: 45 | blog: kenyho_stesky | Ostrava
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    I když to tak nevypadá, tak mít adresáře prázdné je lepší varianta než mít místo obsahu blbosti a žít v domnění že je všechno ok. Mě se tohle stalo několikrát a vždy jen a pouze s ext4. U Btrfs mi také párkrát lepilo u zadku, ale nakonec byl výsledek mnohem lepší než jsem čekal.
    k3dAR avatar 23.2.2016 01:42 k3dAR | skóre: 43
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    nepochopeni si predvedl akorat ty... jak funguje balickovaci system je mi jasne uz z minuleho stoleti ale prave ze se resi Debian based distro a jeste k tomu server, neni mozne aby pri upgrade stahlo 4GB, to se nestahne ani pri kompletnim povysovani systemu... a uz vubec neni mozne aby zabrane misto bylo pouze za behu apt-get... jak uz sem tu psal, tak apt-get ve vychozim nastaveni ponechava stazene balicky v cache...

    btw: jak je mozne ze jsi mel Arch co pul roku nebezel? ty preci aktualizujes vsechno kazdej den, protoze par dni starej system je preci fosilie ! :-D
    porad nemam telo, ale uz mam hlavu... nobody
    k3dAR avatar 16.2.2016 23:15 k3dAR | skóre: 43
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    Mel bys zajit k tomu lekari, jak sme se tuhle bavili, aby te zbavil toho pocitu menecenosti spojenym s potrebou zesmesnovat to cim pohrdas, treba se ten psychopat v tobe da jeste nekam zatlacit... Jinak apt-get urcite pri praci nesezere zadne GB ktere by po ukonceni uvolnil, to je zas nejaka tva fosilni halucinace :)
    porad nemam telo, ale uz mam hlavu... nobody
    22.2.2016 10:52 Andrej | skóre: 43 | blog: Republic of Mordor | Zürich
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat

    Ale no tak, už zase je tu nějaký zapšklý malý žvanil, kterému došly racionální argumenty? Nebo nedošly, protože nikdy žádné neměl? :-D Nebo takové věci způsobilo ono schizofrenní anonymní alter-ego, respektive jedno z několika, která se tu objevují? No, asi už takovéhle existence patří k místnímu folklóru a nezbude než se nad nimi shovívavě pousmát

    .
    ǑǦŹǓǕǙǞǺǨȞȬḔḦḰḾṊṎṸẄẌỖ
    k3dAR avatar 23.2.2016 01:28 k3dAR | skóre: 43
    Rozbalit Rozbalit vše Re: problém s dpkg a nemožností instalovat
    zapskly maly zvanil bez argumentu? to te napadlo kdyz jsi se na sebe koukal v zrcadle? protoze to odpovida tvemu chovani na ktere te prave upozornuju :)

    psal sem tu jako anonymni nobody, ted sem zacal jako registrovanej k3dAR, ten nick pouzivam pres 20let vcetne toho avataru ;) jinej anonymni nebo neanonymni nick jsem zde nikdy nepouzil, takze prestan byt jeste k tomu vsemu paranoidni :)
    porad nemam telo, ale uz mam hlavu... nobody

    Založit nové vláknoNahoru

    Tiskni Sdílej: Linkuj Jaggni to Vybrali.sme.sk Google Del.icio.us Facebook

    ISSN 1214-1267   www.czech-server.cz
    © 1999-2015 Nitemedia s. r. o. Všechna práva vyhrazena.